OTBGUI_BANDMATH(1)

NAME
otbgui_BandMathX - OTB BandMathX application

DESCRIPTION
This is the BandMathX application, version 5.2.0 Performs mathematical operations on several multiband images.

Complete documentation: http://www.orfeo-toolbox.org/Applications/BandMathX.html

  Parameters:

-progress <boolean>
    Report progress

 -il <string list> Input image list (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

 -exp <string> Expression (mandatory)

-incontext <filename>       Import context

-outcontext <filename>      Export context

EXAMPLES
otbgui_BandMathX -il verySmallFSATSW_r.tif verySmallFSATSW_nir.tif verySmallFSATSW.tif -out apTvUtBandMathOutput.tif -exp "cos(im1b1)+im2b1*im3b1-im3b2+ndvi(im3b3, im3b4)"

SEE ALSO
The full documentation for otbgui_BandMathX is maintained as a Texinfo manual. If the info and otbgui_BandMathX programs are properly installed at your site, the command

    info otbgui_BandMathX

should give you access to the complete manual.